Configure Eclipse 3.5 for Notes 8.5.2

As for previous versions I maintain a document outlining how to configure a vanilla Eclipse install to work with Lotus Notes for Java extension development (with install_id and rcp.base). I have made the first version for Notes 8.5.2 as of code drop 5 so please see Configure Eclipse 3.5 for Notes 8.5.2 if this is of use to you.

Please Lotus that Notes 8.5.2 is in beta and there are no guarantees that the features described here will be in the final product that IBM ships.

8 thoughts on “Configure Eclipse 3.5 for Notes 8.5.2”

  1. Hi Mikkel,

    thanks for the detail description, can you help me how to configure Aptana eclipse plugin into Notes 8.5.1 pl?




  2. Thanks for this.  The install_id and rcp.base_version supplied didn’t work as I run a newer build but in the end I found the correct values in:

    extracted from the following two lines:



  3. It depends what code drop you are running. You need to find out the install_id and rcp.base_version values from your actual installation.

    The values for CD5 are:

    install_id = 1316440839688

    rcp.base_version =

    You can find the values in a few ways but I look in:

    (see my previous comment for details)


Comments are closed.